<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.crm.manager.dao.mapper.UserRoleDetailMapper">


    <select id="findAllByRoleId" resultType="com.crm.rely.backend.core.pojo.table.UserRoleDetailTable">
        select  * from  user_role_detail where role_id=#{roleId}
    </select>

    <delete id="delete" parameterType="com.crm.rely.backend.core.pojo.table.UserRoleDetailTable">
        delete from user_role_detail where id in
        <foreach collection="list" index="idx" item="item" separator="," open="(" close=")">
            #{item.id}
        </foreach>
    </delete>
</mapper>